import type { GetSessionListVO } from './types';
import { get, post } from '@/utils/request';

// 获取当前用户的模型列表
export function getModelList() {
  // return get<GetSessionListVO[]>('/system/model/modelList');
  return get<GetSessionListVO[]>('/ai-chat/model').json();
}
// 申请ApiKey
export function applyApiKey() {
  return post<any>('/token').json();
}
// 获取ApiKey
export function getApiKey() {
  return get<any>('/token').json();
}

// 查询充值记录
export function getRechargeLog() {
  return get<any>('/recharge/account').json();
}
